## armadillo 9.200.7.1

=== examples/Makefile ===
# You may need to edit this file to reflect the type and capabilities of your system.
# The defaults are for a Linux system and may need to be changed for other systems (eg. Mac OS X).


CXX=g++

#CXX=CC
## When using the Sun Studio compiler


# flags configured by CMake
ifeq (unix,macos)
  LIB_FLAGS = -larmadillo -framework Accelerate
else
  LIB_FLAGS = -larmadillo
  ## NOTE: on Ubuntu and Debian based systems you may need to add -lgfortran
  
  #LIB_FLAGS = -larmadillo -library=sunperf
  ## When using the Sun Studio compiler
endif





OPT = -O2
## As the Armadillo library uses recursive templates, compilation times depend on the level of optimisation:
##
## -O0: quick compilation, but the resulting program will be slow
## -O1: good trade-off between compilation time and execution speed
## -O2: produces programs which have almost all possible speedups, but compilation takes longer
## -O3: enables auto vectorisation when using gcc

#OPT = -xO4 -xannotate=no
## When using the Sun Studio compiler


#EXTRA_OPT = -fwhole-program
## Uncomment the above line if you're compiling all source files into one program in a single hit


#DEBUG = -DARMA_EXTRA_DEBUG
## Uncomment the above line to enable low-level debugging.
## Lots of debugging information will be printed when a compiled program is run.
## Please enable this option when reporting bugs.


#FINAL = -DARMA_NO_DEBUG
## Uncomment the above line to disable Armadillo's checks.
## Not recommended unless your code has been first thoroughly tested!


CXXFLAGS = $(DEBUG) $(FINAL) $(OPT) $(EXTRA_OPT)

all: example1

example1: example1.cpp
	$(CXX) $(CXXFLAGS)  -o $@  $<  $(LIB_FLAGS)


.PHONY: clean

clean:
	rm -f example1

=== debian/changelog ===
armadillo (1:9.200.7.1-deepin) UNRELEASED; urgency=medium

  * Remove libsuperlu5 dependencies

 -- Lvpeilong <lvpeilong@uniontech.com>  Wed, 17 Aug 2022 16:26:18 +0800

=== debian/control ===
Source: armadillo
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kumar Appaiah <akumar@debian.org>
Build-Depends: debhelper (>= 7), libblas-dev, liblapack-dev, cmake, libarpack2-dev, dpkg-dev (>= 1.16.1~), quilt
Standards-Version: 4.1.1
Section: libs
Homepage: http://arma.sourceforge.net/
Vcs-Git: https://salsa.debian.org/science-team/armadillo.git
Vcs-Browser: https://salsa.debian.org/science-team/armadillo

Package: libarmadillo-dev
Section: libdevel
Architecture: any
Suggests: libitpp-dev
Depends: libarmadillo9 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev
Replaces: libarmadillo-doc (<= 1.1.2-1)
Conflicts: libarmadillo-doc
Description: streamlined C++ linear algebra library - Headers
 Armadillo is a streamlined C++ linear algebra library (matrix maths)
 aiming towards a good balance between speed and ease of use. Integer,
 floating point and complex numbers are supported, as well as a subset
 of trigonometric and statistics functions. Optional integration with
 LAPACK and ATLAS libraries is also provided.
 .
 This package has the development libraries and headers for Armadillo.

Package: libarmadillo9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: streamlined C++ linear algebra library
 Armadillo is a streamlined C++ linear algebra library (matrix maths)
 aiming towards a good balance between speed and ease of use. Integer,
 floating point and complex numbers are supported, as well as a subset
 of trigonometric and statistics functions. Optional integration with
 LAPACK and ATLAS libraries is also provided.

## armadillo 9.600.5+dfsg

=== debian/changelog ===
armadillo (1:9.600.5+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Mon, 29 Jul 2019 08:58:55 +0530

## armadillo 9.800.4+dfsg

=== CMakeLists.txt ===

# Copyright 2008-2016 Conrad Sanderson (http://conradsanderson.id.au)
# Copyright 2008-2016 National ICT Australia (NICTA)
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ------------------------------------------------------------------------


## NOTE: If you prefer to link your programs directly with BLAS and LAPACK,
## NOTE: do not use this installer.
## NOTE: To use Armadillo without installation, compile your programs along these lines:
## NOTE: g++ prog.cpp -o prog -O2 -I /home/blah/armadillo-7.200.3/include -DARMA_DONT_USE_WRAPPER -lblas -llapack
## NOTE: The above command line assumes that you have unpacked the armadillo archive into /home/blah/  
## NOTE: You will need to adjust this for later versions of Armadillo (ie. change the 7.200.3 part)
## NOTE: and/or if you have unpacked the armadillo archive into a different directory.
## NOTE: Replace -lblas with -lopenblas if you have OpenBLAS (recommended).
## NOTE: On macOS, replace -lblas -llapack with -framework Accelerate
## NOTE: More details: http://arma.sourceforge.net/faq.html


cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

if(NOT (${CMAKE_MAJOR_VERSION} LESS 3))
  if(POLICY CMP0025)
    # enable differentiation between vanilla Clang and AppleClang
    cmake_policy(SET CMP0025 NEW)
    message(STATUS "*** set cmake policy CMP0025 to NEW")
  endif()
endif()

project(armadillo CXX C)
include(CheckIncludeFileCXX)
include(CheckLibraryExists)

set(ARMA_USE_WRAPPER true)

# the settings below will be automatically configured by the rest of this script

set(ARMA_USE_LAPACK           false)
set(ARMA_USE_BLAS             false)
set(ARMA_USE_ATLAS            false)
set(ARMA_USE_HDF5_ALT         false)
set(ARMA_USE_ARPACK           false)
set(ARMA_USE_EXTERN_CXX11_RNG false)
set(ARMA_USE_SUPERLU          false)  # Caveat: only SuperLU version 5.x can be used!

## NOTE: OpenBLAS appears to have its own LAPACK functions,
## NOTE: but on some systems the installed version of OpenBLAS
## NOTE: has been modified not to include LAPACK functions.
## NOTE: As the presence of LAPACK functions in OpenBLAS can't be guaranteed,
## NOTE: this installer script requires LAPACK to be present on the system
## NOTE: in order to enable the use of LAPACK functions by Armadillo.
## NOTE: This installer will link with OpenBLAS first,
## NOTE: so if a full version of OpenBLAS is actually present on the system,
## NOTE: the linker should make use of LAPACK functions from OpenBLAS
## NOTE: instead of standard LAPACK.


## extract version from sources

set(ARMA_VERSION_FILE_NAME "${PROJECT_SOURCE_DIR}/include/armadillo_bits/arma_version.hpp")

if(NOT EXISTS ${ARMA_VERSION_FILE_NAME})
  message(FATAL_ERROR "Can't read ${ARMA_VERSION_FILE_NAME}")
endif()

file(READ ${ARMA_VERSION_FILE_NAME} ARMA_VERSION_FILE_CONTENTS)
string(REGEX REPLACE ".*#define ARMA_VERSION_MAJOR ([0-9]+).*" "\\1" ARMA_VERSION_MAJOR "${ARMA_VERSION_FILE_CONTENTS}")
string(REGEX REPLACE ".*#define ARMA_VERSION_MINOR ([0-9]+).*" "\\1" ARMA_VERSION_MINOR "${ARMA_VERSION_FILE_CONTENTS}")
string(REGEX REPLACE ".*#define ARMA_VERSION_PATCH ([0-9]+).*" "\\1" ARMA_VERSION_PATCH "${ARMA_VERSION_FILE_CONTENTS}")

message(STATUS "Configuring Armadillo ${ARMA_VERSION_MAJOR}.${ARMA_VERSION_MINOR}.${ARMA_VERSION_PATCH}")


# As Red Hat Enterprise Linux (and related systems such as Fedora)
# does not search /usr/local/lib by default, we need to place the
# library in either /usr/lib or /usr/lib64

if(NOT APPLE)
  if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    message(STATUS "*** CMAKE_INSTALL_PREFIX was initalised by cmake to the default value of ${CMAKE_INSTALL_PREFIX}")
    message(STATUS "*** CMAKE_INSTALL_PREFIX changed to /usr")
    set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Standard install prefix" FORCE)
  endif()
endif()


# Adhere to GNU filesystem layout conventions
include(GNUInstallDirs)

# deprecated options
set(INSTALL_LIB_DIR     "" CACHE STRING "deprecated; use CMAKE_INSTALL_LIBDIR instead")
set(INSTALL_INCLUDE_DIR "" CACHE STRING "deprecated; use CMAKE_INSTALL_INCLUDEDIR instead")
set(INSTALL_DATA_DIR    "" CACHE STRING "deprecated; use CMAKE_INSTALL_DATADIR instead")
set(INSTALL_BIN_DIR     "" CACHE STRING "deprecated; use CMAKE_INSTALL_BINDIR instead")

if(INSTALL_LIB_DIR)
  message(STATUS "*** INSTALL_LIB_DIR is deprecated; use CMAKE_INSTALL_LIBDIR instead")
  set(CMAKE_INSTALL_LIBDIR "${INSTALL_LIB_DIR}")
  GNUInstallDirs_get_absolute_install_dir(CMAKE_INSTALL_FULL_LIBDIR CMAKE_INSTALL_LIBDIR)
endif()

if(INSTALL_INCLUDE_DIR)
  message(STATUS "*** INSTALL_INCLUDE_DIR is deprecated; use CMAKE_INSTALL_INCLUDEDIR instead")
  set(CMAKE_INSTALL_INCLUDEDIR "${INSTALL_INCLUDE_DIR}")
  GNUInstallDirs_get_absolute_install_dir(CMAKE_INSTALL_FULL_INCLUDEDIR CMAKE_INSTALL_INCLUDEDIR)
endif()

if(INSTALL_DATA_DIR)
  message(STATUS "*** INSTALL_DATA_DIR is deprecated; use CMAKE_INSTALL_DATADIR instead")
  set(CMAKE_INSTALL_DATADIR "${INSTALL_DATA_DIR}")
endif()

if(INSTALL_BIN_DIR)
  message(STATUS "*** INSTALL_BIN_DIR is deprecated; use CMAKE_INSTALL_BINDIR instead")
  set(CMAKE_INSTALL_BINDIR "${INSTALL_BIN_DIR}")
endif()


if(MSVC)
  option(BUILD_SHARED_LIBS "build shared library" OFF)
else()
  option(BUILD_SHARED_LIBS "build shared library" ON)
endif()

option(DETECT_HDF5 "Detect HDF5 and include HDF5 support, if found" ON)

option(ALLOW_OPENBLAS_MACOS "Allow detection of OpenBLAS on macOS" OFF)
## Example use on the command line:
## cmake -D ALLOW_OPENBLAS_MACOS=true .

option(ALLOW_BLAS_LAPACK_MACOS "Allow detection of BLAS and LAPACK on macOS" OFF)
## Example use on the command line:
## cmake -D ALLOW_BLAS_LAPACK_MACOS=true .


if(WIN32)
  message(STATUS "")
  message(STATUS "*** WARNING: automatic installation is experimental for this platform.")
  message(STATUS "*** WARNING: if anything breaks, you get to keep all the pieces.")
  message(STATUS "*** WARNING: manual installation is described in the README file.")
  message(STATUS "")
endif()

if(MSVC AND BUILD_SHARED_LIBS)
  message(STATUS "")
  message(STATUS "*** WARNING: building shared library with MSVC is not supported." )
  message(STATUS "*** WARNING: if anything breaks, you get to keep all the pieces.")
  message(STATUS "")
endif()


message(STATUS "CMAKE_SYSTEM_NAME          = ${CMAKE_SYSTEM_NAME}"         )
message(STATUS "CMAKE_CXX_COMPILER_ID      = ${CMAKE_CXX_COMPILER_ID}"     )
message(STATUS "CMAKE_CXX_COMPILER_VERSION = ${CMAKE_CXX_COMPILER_VERSION}")
message(STATUS "CMAKE_COMPILER_IS_GNUCXX   = ${CMAKE_COMPILER_IS_GNUCXX}"  )
message(STATUS "BUILD_SHARED_LIBS          = ${BUILD_SHARED_LIBS}"         )
message(STATUS "DETECT_HDF5                = ${DETECT_HDF5}"               )
message(STATUS "ALLOW_OPENBLAS_MACOS       = ${ALLOW_OPENBLAS_MACOS}"      )
message(STATUS "ALLOW_BLAS_LAPACK_MACOS    = ${ALLOW_BLAS_LAPACK_MACOS}"   )


##
## Find LAPACK and BLAS libraries, or their optimised versions
##

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_aux/Modules/")

if(APPLE)
  message(STATUS "Detected macOS")
  
  set(ARMA_OS macos)
  
  set(ARMA_USE_LAPACK     true)
  set(ARMA_USE_BLAS       true)
  set(ARMA_USE_ACCELERATE true)
  
  if(ALLOW_OPENBLAS_MACOS)
    include(ARMA_FindOpenBLAS)
    message(STATUS "OpenBLAS_FOUND = ${OpenBLAS_FOUND}")
    message(STATUS "")
    message(STATUS "*** If use of OpenBLAS is causing problems,")
    message(STATUS "*** rerun cmake with detection of OpenBLAS disabled:")
    message(STATUS "*** cmake -D ALLOW_OPENBLAS_MACOS=false .")
    message(STATUS "")
    
    if(OpenBLAS_FOUND)
      set(ARMA_LIBS ${ARMA_LIBS} ${OpenBLAS_LIBRARIES})
      set(ARMA_USE_ACCELERATE false)
    endif()
  endif()
  
  if(ALLOW_BLAS_LAPACK_MACOS)
    include(ARMA_FindBLAS)
    include(ARMA_FindLAPACK)
    message(STATUS "  BLAS_FOUND = ${BLAS_FOUND}"  )
    message(STATUS "LAPACK_FOUND = ${LAPACK_FOUND}")
    message(STATUS "")
    message(STATUS "*** If use of BLAS and LAPACK is causing problems,")
    message(STATUS "*** rerun cmake with detection of BLAS and LAPACK disabled:")
    message(STATUS "*** cmake -D ALLOW_BLAS_LAPACK_MACOS=false .")
    message(STATUS "")
    
    if(BLAS_FOUND AND LAPACK_FOUND)
      set(ARMA_LIBS ${ARMA_LIBS} ${BLAS_LIBRARIES})
      set(ARMA_LIBS ${ARMA_LIBS} ${LAPACK_LIBRARIES})
      set(ARMA_USE_ACCELERATE false)
    endif()
  endif()
  
  if(ARMA_USE_ACCELERATE)
    set(ARMA_LIBS ${ARMA_LIBS} "-framework Accelerate")  # or "-framework accelerate" ?
    message(STATUS "Added '-framework Accelerate' to compiler flags")
  endif()
  
  if(DEFINED CMAKE_CXX_COMPILER_ID)
    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
      message(STATUS "Detected Clang compiler on macOS. Added '-stdlib=libc++' to compiler flags")
    endif()
    
    if(NOT (${CMAKE_MAJOR_VERSION} LESS 3))
      if(CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
        message(STATUS "Detected AppleClang compiler on macOS. Added '-stdlib=libc++' to compiler flags")
      endif()
    endif()
  endif()
  
  set(CMAKE_MACOSX_RPATH 1)
  
else()
  
  set(ARMA_OS unix)
  
  include(ARMA_FindMKL)
  include(ARMA_FindACMLMP)
  include(ARMA_FindACML)
  include(ARMA_FindOpenBLAS)
  include(ARMA_FindATLAS)
  include(ARMA_FindBLAS)
  include(ARMA_FindLAPACK)
  
  message(STATUS "     MKL_FOUND = ${MKL_FOUND}"     )
  message(STATUS "  ACMLMP_FOUND = ${ACMLMP_FOUND}"  )
  message(STATUS "    ACML_FOUND = ${ACML_FOUND}"    )
  message(STATUS "OpenBLAS_FOUND = ${OpenBLAS_FOUND}")
  message(STATUS "   ATLAS_FOUND = ${ATLAS_FOUND}"   )
  message(STATUS "    BLAS_FOUND = ${BLAS_FOUND}"    )
  message(STATUS "  LAPACK_FOUND = ${LAPACK_FOUND}"  )
  
  if(MKL_FOUND OR ACMLMP_FOUND OR ACML_FOUND)
    
    set(ARMA_USE_LAPACK true)
    set(ARMA_USE_BLAS   true)
    
    message(STATUS "")
    message(STATUS "*** If the MKL or ACML libraries are installed in non-standard locations such as")
    message(STATUS "*** /opt/intel/mkl, /opt/intel/composerxe/, /usr/local/intel/mkl")
    message(STATUS "*** make sure the run-time linker can find them.")
    message(STATUS "*** On Linux systems this can be done by editing /etc/ld.so.conf")
    message(STATUS "*** or modifying the LD_LIBRARY_PATH environment variable.")
    message(STATUS "")
    message(STATUS "*** On systems with SELinux enabled (eg. Fedora, RHEL),")
    message(STATUS "*** you may need to change the SELinux type of all MKL/ACML libraries")
    message(STATUS "*** to fix permission problems that may occur during run-time.")
    message(STATUS "")
    
    if(MKL_FOUND)
      set(ARMA_LIBS ${ARMA_LIBS} ${MKL_LIBRARIES})
      
      if(ACMLMP_FOUND OR ACML_FOUND)
        message(STATUS "*** Intel MKL as well as AMD ACML libraries were found.")
        message(STATUS "*** Using only the MKL library to avoid linking conflicts.")
        message(STATUS "*** If you wish to use ACML instead, please link manually with")
        message(STATUS "*** acml or acml_mp instead of the armadillo wrapper library.")
        message(STATUS "*** Alternatively, remove MKL from your system and rerun")
        message(STATUS "*** Armadillo's configuration using ./configure") 
      endif()
      
    else()
      
      if(ACMLMP_FOUND)
        set(ARMA_LIBS ${ARMA_LIBS} ${ACMLMP_LIBRARIES})
        
        message(STATUS "*** Both single-core and multi-core ACML libraries were found.")

=== debian/changelog ===
armadillo (1:9.800.4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:58 +0100

armadillo (1:9.800.4+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Wed, 22 Jan 2020 20:29:53 +0530

armadillo (1:9.800.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Standards version is now 4.4.0 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 09 Oct 2019 18:57:37 +0530

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kumar Appaiah <akumar@debian.org>
-Build-Depends: debhelper (>= 7), libblas-dev, liblapack-dev, cmake, libarpack2-dev, dpkg-dev (>= 1.16.1~), quilt
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 7), libblas-dev, liblapack-dev, cmake, libarpack2-dev, dpkg-dev (>= 1.16.1~), libsuperlu-dev (>= 5.2), quilt
+Standards-Version: 4.4.0
 Section: libs
 Homepage: http://arma.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/science-team/armadillo.git
@@ -13,7 +13,7 @@
 Section: libdevel
 Architecture: any
 Suggests: libitpp-dev
-Depends: libarmadillo9 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev
+Depends: libarmadillo9 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev, libsuperlu-dev (>= 5.2)
 Replaces: libarmadillo-doc (<= 1.1.2-1)
 Conflicts: libarmadillo-doc
 Description: streamlined C++ linear algebra library - Headers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/quilt/quilt.make
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	dh_auto_configure --buildsystem=cmake --builddirectory=. -- -D INSTALL_LIB_DIR=lib -D CMAKE_INpppSTALL_PREFIX_INITIALIZED_TO_DEFAULT:BOOL=ON  . # specified to install to the debian/tmp directory.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf debian/doc_gen
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.guess config.sub Makefile
	rm -f CMakeCache.txt cmake_install.cmake
	rm -rf CMakeFiles
	rm -f install_manifest.txt include/armadillo_bits/config.hpp examples/Makefile
	rm -f ArmadilloConfig.cmake ArmadilloConfigVersion.cmake 
	rm -rf InstallFiles
	dh_clean  --exclude ./src/include/armadillo_bits/dgemm_proto.hpp.orig

install: build
	dh_testdir
	dh_testroot
	dh_prep --exclude ./src/include/armadillo_bits/dgemm_proto.hpp.orig
	dh_installdirs
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install DESTDIR=debian/tmp

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a --sourcedir=debian/tmp
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a -X.cpp
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: build install
# Currently no arch-independent packages

binary: binary-indep binary-arch
.PHONY: build clean binary-arch binary install

## armadillo 9.900.1+dfsg

=== debian/changelog ===
armadillo (1:9.900.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Thu, 11 Jun 2020 14:27:04 +0530

## armadillo 10.1.0+dfsg

=== debian/changelog ===
armadillo (1:10.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Kumar Appaiah <akumar@debian.org>  Tue, 20 Oct 2020 10:10:21 +0530

armadillo (1:10.1.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Standards version is now 4.5.0

 -- Kumar Appaiah <akumar@debian.org>  Fri, 09 Oct 2020 14:59:12 +0530

## armadillo 10.1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,13 @@
   endif()
 endif()
 
+if(NOT (CMAKE_VERSION VERSION_LESS "3.1"))
+  set(CMAKE_CXX_STANDARD 11)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
+  set(CMAKE_CXX_EXTENSIONS OFF)
+  message(STATUS "CMAKE_CXX_STANDARD = ${CMAKE_CXX_STANDARD}")
+endif()
+
 project(armadillo CXX C)
 include(CheckIncludeFileCXX)
 include(CheckLibraryExists)
@@ -45,13 +52,13 @@
 
 # the settings below will be automatically configured by the rest of this script
 
-set(ARMA_USE_LAPACK           false)
-set(ARMA_USE_BLAS             false)
-set(ARMA_USE_ATLAS            false)
-set(ARMA_USE_HDF5_ALT         false)
-set(ARMA_USE_ARPACK           false)
-set(ARMA_USE_EXTERN_CXX11_RNG false)
-set(ARMA_USE_SUPERLU          false)  # Caveat: only SuperLU version 5.x can be used!
+set(ARMA_USE_LAPACK     false)
+set(ARMA_USE_BLAS       false)
+set(ARMA_USE_ATLAS      false)
+set(ARMA_USE_HDF5_ALT   false)
+set(ARMA_USE_ARPACK     false)
+set(ARMA_USE_EXTERN_RNG false)
+set(ARMA_USE_SUPERLU    false)  # Caveat: only SuperLU version 5.x can be used!
 
 ## NOTE: OpenBLAS appears to have its own LAPACK functions,
 ## NOTE: but on some systems the installed version of OpenBLAS
@@ -81,6 +88,59 @@
 message(STATUS "Configuring Armadillo ${ARMA_VERSION_MAJOR}.${ARMA_VERSION_MINOR}.${ARMA_VERSION_PATCH}")
 
 
+# NOTE: ARMA_USE_EXTERN_RNG requires compiler support for thread_local and C++11
+# NOTE: for Linux, this is available with gcc 4.8.3 onwards
+# NOTE: for macOS, thread_local is supoported in Xcode 8 (mid 2016 onwards) in C++11 mode
+
+if(DEFINED CMAKE_CXX_COMPILER_ID AND DEFINED CMAKE_CXX_COMPILER_VERSION)
+  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+    if(NOT (${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS 4.8.3))
+      set(ARMA_USE_EXTERN_RNG true)
+      message(STATUS "Detected gcc 4.8.3 or later")
+      if(NOT DEFINED CMAKE_CXX_STANDARD)
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+        message(STATUS "Added '-std=c++11' to compiler flags")
+      endif()
+    else()
+      message(FATAL_ERROR "Compiler too old")
+    endif()
+  else()
+    if(NOT (${CMAKE_MAJOR_VERSION} LESS 3))
+      if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+        if(NOT ${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS 6.0)
+          set(ARMA_USE_EXTERN_RNG true)
+          message(STATUS "Detected Clang 6.0 or later")
+          if(NOT DEFINED CMAKE_CXX_STANDARD)
+            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
+            message(STATUS "Added '-std=c++14' to compiler flags")
+          endif()
+        else()
+          message(FATAL_ERROR "Compiler too old")
+        endif()
+      elseif(CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
+        if(NOT ${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS 8.0)
+          set(ARMA_USE_EXTERN_RNG true)
+          message(STATUS "Detected AppleClang 8.0 or later")
+          if(NOT DEFINED CMAKE_CXX_STANDARD)
+            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
+            message(STATUS "Added '-std=c++14' to compiler flags")
+          endif()
+        else()
+          message(FATAL_ERROR "Compiler too old")
+        endif()
+      endif()
+    endif()
+  endif()
+endif()
+
+if(MINGW OR MSYS OR CYGWIN OR MSVC)
+  # MinGW doesn't correctly handle thread_local
+  set(ARMA_USE_EXTERN_RNG false)
+endif()
+
+message(STATUS "ARMA_USE_EXTERN_RNG = ${ARMA_USE_EXTERN_RNG}")
+
+
 # As Red Hat Enterprise Linux (and related systems such as Fedora)
 # does not search /usr/local/lib by default, we need to place the
 # library in either /usr/lib or /usr/lib64
@@ -133,6 +193,14 @@
 endif()
 
 option(DETECT_HDF5 "Detect HDF5 and include HDF5 support, if found" ON)
+# set(DETECT_HDF5 false)
+## uncomment the above line to disable the detection of the HDF5 library;
+## you can also disable HDF5 detection directly on the command line:
+## cmake -D DETECT_HDF5=false .
+
+option(ALLOW_FLEXIBLAS_LINUX "Allow detection of FlexiBLAS on Linux (EXPERIMENTAL)" OFF)
+## Example use on the command line:
+## cmake -D ALLOW_FLEXIBLAS_LINUX=true .
 
 option(ALLOW_OPENBLAS_MACOS "Allow detection of OpenBLAS on macOS" OFF)
 ## Example use on the command line:
@@ -141,6 +209,12 @@
 option(ALLOW_BLAS_LAPACK_MACOS "Allow detection of BLAS and LAPACK on macOS" OFF)
 ## Example use on the command line:
 ## cmake -D ALLOW_BLAS_LAPACK_MACOS=true .
+
+option(BUILD_SMOKE_TEST "Build a smoke test" OFF)
+## Example use on the command line:
+## cmake -D BUILD_SMOKE_TEST=true .
+## make
+## ctest
 
 
 if(WIN32)
@@ -165,9 +239,13 @@
 message(STATUS "CMAKE_COMPILER_IS_GNUCXX   = ${CMAKE_COMPILER_IS_GNUCXX}"  )
 message(STATUS "BUILD_SHARED_LIBS          = ${BUILD_SHARED_LIBS}"         )
 message(STATUS "DETECT_HDF5                = ${DETECT_HDF5}"               )
+message(STATUS "ALLOW_FLEXIBLAS_LINUX      = ${ALLOW_FLEXIBLAS_LINUX}"     )
 message(STATUS "ALLOW_OPENBLAS_MACOS       = ${ALLOW_OPENBLAS_MACOS}"      )
 message(STATUS "ALLOW_BLAS_LAPACK_MACOS    = ${ALLOW_BLAS_LAPACK_MACOS}"   )
-
+message(STATUS "BUILD_SMOKE_TEST           = ${BUILD_SMOKE_TEST}"          )
+
+message(STATUS "")
+message(STATUS "*** Looking for external libraries")
 
 ##
 ## Find LAPACK and BLAS libraries, or their optimised versions
@@ -177,8 +255,6 @@
 
 if(APPLE)
   message(STATUS "Detected macOS")
-  
-  set(ARMA_OS macos)
   
   set(ARMA_USE_LAPACK     true)
   set(ARMA_USE_BLAS       true)
@@ -223,73 +299,3 @@
   endif()
   
   if(DEFINED CMAKE_CXX_COMPILER_ID)
-    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-      message(STATUS "Detected Clang compiler on macOS. Added '-stdlib=libc++' to compiler flags")
-    endif()
-    
-    if(NOT (${CMAKE_MAJOR_VERSION} LESS 3))
-      if(CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-        message(STATUS "Detected AppleClang compiler on macOS. Added '-stdlib=libc++' to compiler flags")
-      endif()
-    endif()
-  endif()
-  
-  set(CMAKE_MACOSX_RPATH 1)
-  
-else()
-  
-  set(ARMA_OS unix)
-  
-  include(ARMA_FindMKL)
-  include(ARMA_FindACMLMP)
-  include(ARMA_FindACML)
-  include(ARMA_FindOpenBLAS)
-  include(ARMA_FindATLAS)
-  include(ARMA_FindBLAS)
-  include(ARMA_FindLAPACK)
-  
-  message(STATUS "     MKL_FOUND = ${MKL_FOUND}"     )
-  message(STATUS "  ACMLMP_FOUND = ${ACMLMP_FOUND}"  )
-  message(STATUS "    ACML_FOUND = ${ACML_FOUND}"    )
-  message(STATUS "OpenBLAS_FOUND = ${OpenBLAS_FOUND}")
-  message(STATUS "   ATLAS_FOUND = ${ATLAS_FOUND}"   )
-  message(STATUS "    BLAS_FOUND = ${BLAS_FOUND}"    )
-  message(STATUS "  LAPACK_FOUND = ${LAPACK_FOUND}"  )
-  
-  if(MKL_FOUND OR ACMLMP_FOUND OR ACML_FOUND)
-    
-    set(ARMA_USE_LAPACK true)
-    set(ARMA_USE_BLAS   true)
-    
-    message(STATUS "")
-    message(STATUS "*** If the MKL or ACML libraries are installed in non-standard locations such as")
-    message(STATUS "*** /opt/intel/mkl, /opt/intel/composerxe/, /usr/local/intel/mkl")
-    message(STATUS "*** make sure the run-time linker can find them.")
-    message(STATUS "*** On Linux systems this can be done by editing /etc/ld.so.conf")
-    message(STATUS "*** or modifying the LD_LIBRARY_PATH environment variable.")
-    message(STATUS "")
-    message(STATUS "*** On systems with SELinux enabled (eg. Fedora, RHEL),")
-    message(STATUS "*** you may need to change the SELinux type of all MKL/ACML libraries")
-    message(STATUS "*** to fix permission problems that may occur during run-time.")
-    message(STATUS "")
-    
-    if(MKL_FOUND)
-      set(ARMA_LIBS ${ARMA_LIBS} ${MKL_LIBRARIES})
-      
-      if(ACMLMP_FOUND OR ACML_FOUND)
-        message(STATUS "*** Intel MKL as well as AMD ACML libraries were found.")
-        message(STATUS "*** Using only the MKL library to avoid linking conflicts.")
-        message(STATUS "*** If you wish to use ACML instead, please link manually with")
-        message(STATUS "*** acml or acml_mp instead of the armadillo wrapper library.")
-        message(STATUS "*** Alternatively, remove MKL from your system and rerun")
-        message(STATUS "*** Armadillo's configuration using ./configure") 
-      endif()
-      
-    else()
-      
-      if(ACMLMP_FOUND)
-        set(ARMA_LIBS ${ARMA_LIBS} ${ACMLMP_LIBRARIES})
-        
-        message(STATUS "*** Both single-core and multi-core ACML libraries were found.")

=== debian/changelog ===
armadillo (1:10.1.2+dfsg-6) unstable; urgency=medium

  * Add patch from upstream for fixing sparse matrix related bug.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 21 Jun 2021 09:43:00 +0530

armadillo (1:10.1.2+dfsg-5) unstable; urgency=medium

  * Add patches from upstream for pinv and rcond bugs

 -- Kumar Appaiah <akumar@debian.org>  Tue, 09 Mar 2021 20:19:43 +0530

armadillo (1:10.1.2+dfsg-4) unstable; urgency=medium

  * Fix issue with princomp function.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 15 Feb 2021 14:52:17 +0530

armadillo (1:10.1.2+dfsg-3) unstable; urgency=medium

  * Add patch to handle sign for NaNs

 -- Kumar Appaiah <akumar@debian.org>  Wed, 20 Jan 2021 16:19:03 +0530

armadillo (1:10.1.2+dfsg-2) unstable; urgency=medium

  * Install cmake and pkg-config files during install. (Closes: #954927)
  * Remove generated files during cleanup
  * Standards version is now 4.5.1 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 17 Dec 2020 07:58:31 +0530

armadillo (1:10.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Wed, 18 Nov 2020 14:34:07 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kumar Appaiah <akumar@debian.org>
 Build-Depends: debhelper (>= 7), libblas-dev, liblapack-dev, cmake, libarpack2-dev, dpkg-dev (>= 1.16.1~), libsuperlu-dev (>= 5.2), quilt
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://arma.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/science-team/armadillo.git
@@ -13,7 +13,7 @@
 Section: libdevel
 Architecture: any
 Suggests: libitpp-dev
-Depends: libarmadillo9 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev, libsuperlu-dev (>= 5.2)
+Depends: libarmadillo10 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev, libsuperlu-dev (>= 5.2)
 Replaces: libarmadillo-doc (<= 1.1.2-1)
 Conflicts: libarmadillo-doc
 Description: streamlined C++ linear algebra library - Headers
@@ -25,7 +25,7 @@
  .
  This package has the development libraries and headers for Armadillo.
 
-Package: libarmadillo9
+Package: libarmadillo10
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	rm -rf CMakeFiles
 	rm -f install_manifest.txt include/armadillo_bits/config.hpp examples/Makefile
 	rm -f ArmadilloConfig.cmake ArmadilloConfigVersion.cmake 
-	rm -rf InstallFiles
+	rm -rf InstallFiles tmp *.o a.out
 	dh_clean  --exclude ./src/include/armadillo_bits/dgemm_proto.hpp.orig
 
 install: build
@@ -45,6 +45,8 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_install -a --sourcedir=debian/tmp
+	mkdir -p debian/libarmadillo-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
+	cp debian/tmp/usr/lib/pkgconfig/armadillo.pc debian/libarmadillo-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
 	dh_installman -a
 	dh_link -a
 	dh_strip -a

## armadillo 10.6.2+dfsg

=== debian/changelog ===
armadillo (1:10.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches (included upstream)

 -- Kumar Appaiah <akumar@debian.org>  Tue, 24 Aug 2021 19:47:25 +0530

## armadillo 10.8.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-
+# SPDX-License-Identifier: Apache-2.0
+# 
 # Copyright 2008-2016 Conrad Sanderson (http://conradsanderson.id.au)
 # Copyright 2008-2016 National ICT Australia (NICTA)
 # 
@@ -60,17 +61,6 @@
 set(ARMA_USE_EXTERN_RNG false)
 set(ARMA_USE_SUPERLU    false)  # Caveat: only SuperLU version 5.x can be used!
 
-## NOTE: OpenBLAS appears to have its own LAPACK functions,
-## NOTE: but on some systems the installed version of OpenBLAS
-## NOTE: has been modified not to include LAPACK functions.
-## NOTE: As the presence of LAPACK functions in OpenBLAS can't be guaranteed,
-## NOTE: this installer script requires LAPACK to be present on the system
-## NOTE: in order to enable the use of LAPACK functions by Armadillo.
-## NOTE: This installer will link with OpenBLAS first,
-## NOTE: so if a full version of OpenBLAS is actually present on the system,
-## NOTE: the linker should make use of LAPACK functions from OpenBLAS
-## NOTE: instead of standard LAPACK.
-
 
 ## extract version from sources
 
@@ -87,10 +77,20 @@
 
 message(STATUS "Configuring Armadillo ${ARMA_VERSION_MAJOR}.${ARMA_VERSION_MINOR}.${ARMA_VERSION_PATCH}")
 
+string(COMPARE EQUAL "${CMAKE_CXX_FLAGS}" "" CXX_FLAGS_EMPTY)
+if(NOT CXX_FLAGS_EMPTY)
+  message(STATUS "")
+  message(STATUS "*** WARNING: variable 'CMAKE_CXX_FLAGS' is not empty; this may cause problems!")
+  message(STATUS "")
+endif()
+
 
 # NOTE: ARMA_USE_EXTERN_RNG requires compiler support for thread_local and C++11
 # NOTE: for Linux, this is available with gcc 4.8.3 onwards
 # NOTE: for macOS, thread_local is supoported in Xcode 8 (mid 2016 onwards) in C++11 mode
+
+# NOTE: thread_local appears broken again on macOS 11 (Big Sur) and/or AppleClang 12.0
+# NOTE: see comments in include/armadillo_bits/arma_rng.hpp
 
 if(DEFINED CMAKE_CXX_COMPILER_ID AND DEFINED CMAKE_CXX_COMPILER_VERSION)
   if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
@@ -198,9 +198,15 @@
 ## you can also disable HDF5 detection directly on the command line:
 ## cmake -D DETECT_HDF5=false .
 
-option(ALLOW_FLEXIBLAS_LINUX "Allow detection of FlexiBLAS on Linux (EXPERIMENTAL)" OFF)
+option(OPENBLAS_PROVIDES_LAPACK "Assume that OpenBLAS provides LAPACK functions" OFF)
 ## Example use on the command line:
-## cmake -D ALLOW_FLEXIBLAS_LINUX=true .
+## cmake -D OPENBLAS_PROVIDES_LAPACK=true .
+
+option(ALLOW_FLEXIBLAS_LINUX "Allow detection of FlexiBLAS on Linux" ON)
+# set(ALLOW_FLEXIBLAS_LINUX false)
+## uncomment the above line to disable the detection of FlexiBLAS;
+## you can also disable FlexiBLAS detection directly on the command line:
+## cmake -D ALLOW_FLEXIBLAS_LINUX=false .
 
 option(ALLOW_OPENBLAS_MACOS "Allow detection of OpenBLAS on macOS" OFF)
 ## Example use on the command line:
@@ -237,8 +243,10 @@
 message(STATUS "CMAKE_CXX_COMPILER_ID      = ${CMAKE_CXX_COMPILER_ID}"     )
 message(STATUS "CMAKE_CXX_COMPILER_VERSION = ${CMAKE_CXX_COMPILER_VERSION}")
 message(STATUS "CMAKE_COMPILER_IS_GNUCXX   = ${CMAKE_COMPILER_IS_GNUCXX}"  )
+message(STATUS ""                                                          )
 message(STATUS "BUILD_SHARED_LIBS          = ${BUILD_SHARED_LIBS}"         )
 message(STATUS "DETECT_HDF5                = ${DETECT_HDF5}"               )
+message(STATUS "OPENBLAS_PROVIDES_LAPACK   = ${OPENBLAS_PROVIDES_LAPACK}"  )
 message(STATUS "ALLOW_FLEXIBLAS_LINUX      = ${ALLOW_FLEXIBLAS_LINUX}"     )
 message(STATUS "ALLOW_OPENBLAS_MACOS       = ${ALLOW_OPENBLAS_MACOS}"      )
 message(STATUS "ALLOW_BLAS_LAPACK_MACOS    = ${ALLOW_BLAS_LAPACK_MACOS}"   )
@@ -294,8 +302,3 @@
   endif()
   
   if(ARMA_USE_ACCELERATE)
-    set(ARMA_LIBS ${ARMA_LIBS} "-framework Accelerate")  # or "-framework accelerate" ?
-    message(STATUS "Added '-framework Accelerate' to compiler flags")
-  endif()
-  
-  if(DEFINED CMAKE_CXX_COMPILER_ID)

=== debian/changelog ===
armadillo (1:10.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Mon, 07 Feb 2022 21:02:29 +0530

armadillo (1:10.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Wed, 12 Jan 2022 20:59:36 +0530

armadillo (1:10.7.4+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Thu, 25 Nov 2021 22:28:58 +0530

## armadillo 11.2.3+dfsg

=== debian/changelog ===
armadillo (1:11.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Build depend on debhelper 10 or more
  * Update standards version (no changes)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 27 Jul 2022 09:42:57 +0530

armadillo (1:11.1.1+dfsg-3) unstable; urgency=medium

  * Reupload (source-only)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 13 Jun 2022 08:47:27 +0530

armadillo (1:11.1.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Kumar Appaiah <akumar@debian.org>  Sat, 11 Jun 2022 15:16:12 +0530

armadillo (1:11.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * soname is now 11, add libarmadillo11 package

 -- Kumar Appaiah <akumar@debian.org>  Wed, 18 May 2022 20:23:37 +0530

## armadillo 11.4.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,14 +16,14 @@
 # ------------------------------------------------------------------------
 
 
-## NOTE: If you prefer to link your programs directly with BLAS and LAPACK,
+## NOTE: If you prefer to link your programs _directly_ with OpenBLAS, BLAS or LAPACK,
 ## NOTE: do not use this installer.
 ## NOTE: To use Armadillo without installation, compile your programs along these lines:
-## NOTE: g++ prog.cpp -o prog -O2 -I /home/blah/armadillo-7.200.3/include -DARMA_DONT_USE_WRAPPER -lblas -llapack
+## NOTE: g++ prog.cpp -o prog -O2 -I /home/blah/armadillo-7.200.3/include -DARMA_DONT_USE_WRAPPER -lopenblas -llapack
 ## NOTE: The above command line assumes that you have unpacked the armadillo archive into /home/blah/  
 ## NOTE: You will need to adjust this for later versions of Armadillo (ie. change the 7.200.3 part)
 ## NOTE: and/or if you have unpacked the armadillo archive into a different directory.
-## NOTE: Replace -lblas with -lopenblas if you have OpenBLAS (recommended).
+## NOTE: Replace -lopenblas with -lblas if you don't have OpenBLAS.
 ## NOTE: On macOS, replace -lblas -llapack with -framework Accelerate
 ## NOTE: More details: http://arma.sourceforge.net/faq.html
 
@@ -56,7 +56,7 @@
 set(ARMA_USE_LAPACK     false)
 set(ARMA_USE_BLAS       false)
 set(ARMA_USE_ATLAS      false)
-set(ARMA_USE_HDF5_ALT   false)
+set(ARMA_USE_HDF5_CMAKE false)
 set(ARMA_USE_ARPACK     false)
 set(ARMA_USE_EXTERN_RNG false)
 set(ARMA_USE_SUPERLU    false)  # Caveat: only SuperLU version 5.x can be used!
@@ -216,9 +216,13 @@
 ## Example use on the command line:
 ## cmake -D ALLOW_BLAS_LAPACK_MACOS=true .
 
-option(BUILD_SMOKE_TEST "Build a smoke test" OFF)
-## Example use on the command line:
-## cmake -D BUILD_SMOKE_TEST=true .
+option(BUILD_SMOKE_TEST "Build the smoke test" ON)
+# set(BUILD_SMOKE_TEST false)
+## uncomment the above line to disable building the smoke test;
+## you can also disable building the smoke test directly on the command line:
+## cmake -D BUILD_SMOKE_TEST=false .
+## 
+## to run the smoke test on the command line:
 ## make
 ## ctest
 
@@ -243,14 +247,16 @@
 message(STATUS "CMAKE_CXX_COMPILER_ID      = ${CMAKE_CXX_COMPILER_ID}"     )
 message(STATUS "CMAKE_CXX_COMPILER_VERSION = ${CMAKE_CXX_COMPILER_VERSION}")
 message(STATUS "CMAKE_COMPILER_IS_GNUCXX   = ${CMAKE_COMPILER_IS_GNUCXX}"  )
-message(STATUS ""                                                          )
-message(STATUS "BUILD_SHARED_LIBS          = ${BUILD_SHARED_LIBS}"         )
-message(STATUS "DETECT_HDF5                = ${DETECT_HDF5}"               )
-message(STATUS "OPENBLAS_PROVIDES_LAPACK   = ${OPENBLAS_PROVIDES_LAPACK}"  )
-message(STATUS "ALLOW_FLEXIBLAS_LINUX      = ${ALLOW_FLEXIBLAS_LINUX}"     )
-message(STATUS "ALLOW_OPENBLAS_MACOS       = ${ALLOW_OPENBLAS_MACOS}"      )
-message(STATUS "ALLOW_BLAS_LAPACK_MACOS    = ${ALLOW_BLAS_LAPACK_MACOS}"   )
-message(STATUS "BUILD_SMOKE_TEST           = ${BUILD_SMOKE_TEST}"          )
+
+message(STATUS "")
+message(STATUS "*** Options:"                                           )
+message(STATUS "BUILD_SHARED_LIBS         = ${BUILD_SHARED_LIBS}"       )
+message(STATUS "DETECT_HDF5               = ${DETECT_HDF5}"             )
+message(STATUS "OPENBLAS_PROVIDES_LAPACK  = ${OPENBLAS_PROVIDES_LAPACK}")
+message(STATUS "ALLOW_FLEXIBLAS_LINUX     = ${ALLOW_FLEXIBLAS_LINUX}"   )
+message(STATUS "ALLOW_OPENBLAS_MACOS      = ${ALLOW_OPENBLAS_MACOS}"    )
+message(STATUS "ALLOW_BLAS_LAPACK_MACOS   = ${ALLOW_BLAS_LAPACK_MACOS}" )
+message(STATUS "BUILD_SMOKE_TEST          = ${BUILD_SMOKE_TEST}"        )
 
 message(STATUS "")
 message(STATUS "*** Looking for external libraries")
@@ -295,10 +301,3 @@
     message(STATUS "")
     
     if(BLAS_FOUND AND LAPACK_FOUND)
-      set(ARMA_LIBS ${ARMA_LIBS} ${BLAS_LIBRARIES})
-      set(ARMA_LIBS ${ARMA_LIBS} ${LAPACK_LIBRARIES})
-      set(ARMA_USE_ACCELERATE false)
-    endif()
-  endif()
-  
-  if(ARMA_USE_ACCELERATE)

=== debian/changelog ===
armadillo (1:11.4.2+dfsg-1build1) mantic; urgency=medium

  * No-change rebuild against

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 Aug 2023 21:10:42 +0000

armadillo (1:11.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Sat, 29 Oct 2022 19:42:52 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: armadillo
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kumar Appaiah <akumar@debian.org>
-Build-Depends: debhelper (>= 7), libblas-dev, liblapack-dev, cmake, libarpack2-dev, dpkg-dev (>= 1.16.1~), libsuperlu-dev (>= 5.2), quilt
-Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 10), libblas-dev, liblapack-dev, cmake, libarpack2-dev, dpkg-dev (>= 1.16.1~), libsuperlu-dev (>= 5.2), quilt
+Standards-Version: 4.6.0.1
 Section: libs
 Homepage: http://arma.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/science-team/armadillo.git
@@ -13,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Suggests: libitpp-dev
-Depends: libarmadillo10 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev, libsuperlu-dev (>= 5.2)
+Depends: libarmadillo11 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev, libsuperlu-dev (>= 5.2)
 Replaces: libarmadillo-doc (<= 1.1.2-1)
 Conflicts: libarmadillo-doc
 Description: streamlined C++ linear algebra library - Headers
@@ -25,7 +26,7 @@
  .
  This package has the development libraries and headers for Armadillo.
 
-Package: libarmadillo10
+Package: libarmadillo11
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
